org.apache.hc.client5.http

## Enum StandardMethods

- java.lang.Object
- - java.lang.Enum<StandardMethods>
  - - org.apache.hc.client5.http.StandardMethods

All Implemented Interfaces:
  Serializable, Comparable<StandardMethods>

    public enum StandardMethods
    extends Enum<StandardMethods>

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`CONNECT`
`DELETE`
`GET`
`HEAD`
`OPTIONS`
`PATCH`
`POST`
`PUT`
`TRACE`

### Method Summary

Methods
`boolean` `isIdempotent()`
`static boolean` `isIdempotent(String value)`
`boolean` `isSafe()`
`static boolean` `isSafe(String value)`
`static StandardMethods` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static StandardMethods[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### GET

    public static final StandardMethods GET

#### HEAD

    public static final StandardMethods HEAD

#### POST

    public static final StandardMethods POST

#### PUT

    public static final StandardMethods PUT

#### DELETE

    public static final StandardMethods DELETE

#### CONNECT

    public static final StandardMethods CONNECT

#### TRACE

    public static final StandardMethods TRACE

#### OPTIONS

    public static final StandardMethods OPTIONS

#### PATCH

    public static final StandardMethods PATCH

### Method Detail

#### values

    public static StandardMethods[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (StandardMethods c : StandardMethods.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static StandardMethods valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### isSafe

    public boolean isSafe()

#### isIdempotent

    public boolean isIdempotent()

#### isSafe

    public static boolean isSafe(String value)

#### isIdempotent

    public static boolean isIdempotent(String value)